Subject: Re: Route cache performance under stress

From: Simon Kirby <[email-masked]>
Date: Mon, 9 Jun 2003 01:31:59 -0700

On Mon, Jun 09, 2003 at 01:22:02AM -0700, David S. Miller wrote:

>    Hmm...It looks like this is still freeing the entry.. Is it possible to
>    recycle the dst without reallocating it?
>    
> Yes, can you test the patch I just sent you?  We can modify that
> to recycle easily instead of freeing.

Cool.  I'll see if I can set something up to try that at work tomorrow. 
Insufficient hardware here at home.

> We spend a decent amount of time mucking with fib rules, turning
> off multiple-tables support would kill that, although I suspect
> you're actually using that :)

We use it occasionally for various things.  I'll try profiling with it
turned off to see how much of an impact it has.

Simon-